<script setup lang="ts">
defineProps({
  to: String,
  href: String,
});
</script>

<template>
  <span
    class="p-0.5 hover:bg-theme-text-link-hover rounded px-3 transition-colors ease-in-out"
  >
    <router-link v-if="!!to" :to="{ name: to }"><slot /></router-link>
    <a v-if="!!href" :href="href">{{ text }}</a>
  </span>
</template>
